libzypp 17.37.10

MirroredOrigin.h File Reference
`#include <zypp-core/Url.h>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <boost/iterator/iterator_facade.hpp>`
`#include <any>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Classes
class | zypp::OriginEndpoint
| Represents a single, configurable network endpoint, combining a URL with specific access settings. More...
class | zypp::MirroredOrigin
| Manages a data source characterized by an authoritative URL and a list of mirror URLs. More...
class | zypp::MirroredOrigin::iter< Parent, Value >
class | zypp::MirroredOriginSet
| A smart container that manages a collection of MirroredOrigin objects, automatically grouping endpoints and preserving the insertion order of their schemes. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const OriginEndpoint &url)
bool | zypp::operator< (const OriginEndpoint &lhs, const OriginEndpoint &rhs)
| needed for std::set
bool | zypp::operator== (const OriginEndpoint &lhs, const OriginEndpoint &rhs)
| needed for find, two OriginEndpoint's are equal when the Urls match, currently settings are not compared
bool | zypp::operator!= (const OriginEndpoint &lhs, const OriginEndpoint &rhs)
| needed for find, two OriginEndpoint's are equal when the Urls match, currently settings are not compared
std::ostream & | zypp::operator<< (std::ostream &str, const MirroredOrigin &origin)
std::ostream & | zypp::operator<< (std::ostream &str, const MirroredOriginSet &origin)